classification
Title: Allow running benchmarks for Python 3 from same directory
Type: behavior Stage: resolved
Components: Benchmarks Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: brett.cannon, pitrou, python-dev, tshepang
Priority: normal Keywords:

Created on 2013-07-29 15:38 by brett.cannon, last changed 2013-08-23 17:34 by brett.cannon. This issue is now closed.

Messages (2)
msg193875 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2013-07-29 15:38
As of right now, to run the benchmark suite you need to use make_perf3.sh to generate a Python 3 compatible version of the benchmarks. That was fine when the benchmark suite didn't have much support for Python 3 and thus was just used for Python 3 very often. But now that a lot more benchmarks work it should be updated so that this extra step can be avoided.
msg195991 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-08-23 17:30
New changeset b868d0a9c5d7 by Brett Cannon in branch 'default':
Issue #18586: Remove the need for make_perf3.sh
http://hg.python.org/benchmarks/rev/b868d0a9c5d7
History
Date User Action Args
2013-08-23 17:34:08brett.cannonsetstatus: open -> closed
resolution: fixed
stage: needs patch -> resolved
2013-08-23 17:30:39python-devsetnosy: + python-dev
messages: + msg195991
2013-08-02 17:46:22tshepangsetnosy: + tshepang
2013-07-29 15:38:01brett.cannoncreate